/* 报告管理 策略时间线 */
import http from "@/api/http.js";

const timeLineApi = {
  // 策略时间线列表
  getTacticsTimeLineList: (params) => {
    return http.get("/cygx/tacticsTimeLine/list", params);
  },
  // 新增策略时间线
  tacticsTimeLinePreserveAndPublish: (params) => {
    return http.post("/cygx/tacticsTimeLine/preserveAndPublish", params);
  },
  // 一键发布/取消发布报告接口
  tacticsTimeLineAllCancel: (params) => {
    return http.post("/cygx/tacticsTimeLine/all/publishAndcancel", params);
  },
  // 发布/取消发布报告
  tacticsTimeLineCancel: (params) => {
    return http.post("/cygx/tacticsTimeLine/publishAndcancel", params);
  },
  // 删除
  tacticsTimeLineDelete: (params) => {
    return http.post("/cygx/tacticsTimeLine/delete", params);
  },
  // 新建报告类型
  reportMappingAdd: (params) => {
    return http.post("/cygx/reportMapping/add", params);
  },
};

export default timeLineApi;
